JEELABS

# esp-link

##

# System overview

Hostname | Click to edit! Hostname displayed in menu bar and used by DHCP and mDNS
Network SSID |
WiFi status |
WiFi address |
SLIP status |
MQTT status |
Serial baud |

# Info

The JeeLabs esp-link firmware bridges the ESP8266 serial port to WiFi and can program microcontrollers over the serial port, in particular Arduinos, AVRs, and NXP's LPC800 and other ARM processors. Typical avrdude command line to program an Arduino:

/home/arduino/hardware/tools/avrdude \
-DV -patmega328p \
-Pnet:esp-link.local:23 \
-carduino -b115200 \
-U flash:w:my_sketch.hex:i\
-C /home/arduino/hardware/tools/avrdude.conf

where `-Pnet:esp-link.local:23` tells avrdude to connect to port 23 of esp-link. You can substitute the IP address of your esp-link for esp-link.local if necessary. Please refer to the online README for up-to-date help.

# Telnet Serial-Bridge

There are two ports available for telnet to use by default: 23 2323

Current Telnet ports |
Telnet port 1: Click to edit! Default port: 23
Telnet port 2: Click to edit! Default port: 2323

# Pin assignment

Presets

Reset
Connect to µC reset pin for programming and reset-µC function
ISP/Flash
Second signal to program µC. AVR:not used, esp8266:gpio2, ARM:ISP
Conn LED
LED to show WiFi connectivity
Serial LED
LED to show serial activity
UART pins
Swap UART0 pins to avoid ROM boot message.
Normal is TX on gpio1/TX0 and RX on gpio3/RX0, swapped is TX on gpio15 and RX on gpio13.
RX pull-up
Enable internal 40K pull-up on RX

# System details

WiFi mode |
WiFi channel |
Flash chip ID | Common IDs: 4016=4MB, 4014=1MB, 4013=512KB
Flash size | Size configured into bootloader, must match chip size
Webpage size | The maximal size of the custom web page a user can upload.
Current partition |
Description: Click to edit! A short description or memo for this esp-link module, 128 chars max